## org.eclipse.emf.ecore
Interface ETypedElement

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier

All Known Subinterfaces:
  EAttribute, EOperation, EParameter, EReference, EStructuralFeature, EStructuralFeature.Internal

All Known Implementing Classes:
  EAttributeImpl, EOperationImpl, EParameterImpl, EReferenceImpl, EStructuralFeatureImpl, ETypedElementImpl

    public interface ETypedElement

extends ENamedElement

A representation of the model object 'ETyped Element'.

The following features are supported:

- `Ordered`
- `Unique`
- `Lower Bound`
- `Upper Bound`
- `Many`
- `Required`
- `EType`
- `EGeneric Type`

See Also:
  `EcorePackage.getETypedElement()`

Field Summary
`static int` `UNBOUNDED_MULTIPLICITY` A value indicating that there is no `upper bound`.
`static int` `UNSPECIFIED_MULTIPLICITY` A value indicating that there is an unspecified `upper bound`.

Method Summary
`EGenericType` `getEGenericType()` Returns the value of the 'EGeneric Type' containment reference
`EClassifier` `getEType()` Returns the value of the 'EType' reference
`int` `getLowerBound()` Returns the value of the 'Lower Bound' attribute
`int` `getUpperBound()` Returns the value of the 'Upper Bound' attribute.
`boolean` `isMany()` Returns the value of the 'Many' attribute
`boolean` `isOrdered()` Returns the value of the 'Ordered' attribute.
`boolean` `isRequired()` Returns the value of the 'Required' attribute
`boolean` `isUnique()` Returns the value of the 'Unique' attribute.
`void` `setEGenericType(EGenericType value)` Sets the value of the '`EGeneric Type`' containment reference
`void` `setEType(EClassifier value)` Sets the value of the '`EType`' reference
`void` `setLowerBound(int value)` Sets the value of the '`Lower Bound`' attribute
`void` `setOrdered(boolean value)` Sets the value of the '`Ordered`' attribute
`void` `setUnique(boolean value)` Sets the value of the '`Unique`' attribute
`void` `setUpperBound(int value)` Sets the value of the '`Upper Bound`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### UNBOUNDED_MULTIPLICITY

    static final int UNBOUNDED_MULTIPLICITY

  A value indicating that there is no `upper bound`.

  See Also:
    `getUpperBound()`, Constant Field Values

### UNSPECIFIED_MULTIPLICITY

    static final int UNSPECIFIED_MULTIPLICITY

  A value indicating that there is an unspecified `upper bound`.

  See Also:
    `getUpperBound()`, Constant Field Values

Method Detail

### isOrdered

    boolean isOrdered()

  Returns the value of the 'Ordered' attribute. The default value is `"true"`.

  It represents whether order is meaningful.

  Returns:
    the value of the 'Ordered' attribute.
  See Also:
    `setOrdered(boolean)`, `EcorePackage.getETypedElement_Ordered()`

### setOrdered

    void setOrdered(boolean value)

  Sets the value of the '`Ordered`' attribute.

  Parameters:
    `value` - the new value of the 'Ordered' attribute.
  See Also:
    `isOrdered()`

### isUnique

    boolean isUnique()

  Returns the value of the 'Unique' attribute. The default value is `"true"`.

  It represents whether values must be unique.

  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `setUnique(boolean)`, `EcorePackage.getETypedElement_Unique()`

### setUnique

    void setUnique(boolean value)

  Sets the value of the '`Unique`' attribute.

  Parameters:
    `value` - the new value of the 'Unique' attribute.
  See Also:
    `isUnique()`

### getLowerBound

    int getLowerBound()

  Returns the value of the 'Lower Bound' attribute.

  It represents the minimum number of values that must appear in a valid instance.

  Returns:
    the value of the 'Lower Bound' attribute.
  See Also:
    `setLowerBound(int)`, `EcorePackage.getETypedElement_LowerBound()`

### setLowerBound

    void setLowerBound(int value)

  Sets the value of the '`Lower Bound`' attribute.

  Parameters:
    `value` - the new value of the 'Lower Bound' attribute.
  See Also:
    `getLowerBound()`

### getUpperBound

    int getUpperBound()

  Returns the value of the 'Upper Bound' attribute. The default value is `"1"`.

  It represents the maximum number of values that must appear in a valid instance; the value `-1`, i.e., (@link #UNBOUNDED_MULTIPLICITY}}, represents unbounded, and the value `-2`, i.e., (@link #UNSPECIFIED_MULTIPLICITY}}, represents unspecified.

  Returns:
    the value of the 'Upper Bound' attribute.
  See Also:
    `setUpperBound(int)`, `EcorePackage.getETypedElement_UpperBound()`

### setUpperBound

    void setUpperBound(int value)

  Sets the value of the '`Upper Bound`' attribute.

  Parameters:
    `value` - the new value of the 'Upper Bound' attribute.
  See Also:
    `getUpperBound()`

### isMany

    boolean isMany()

  Returns the value of the 'Many' attribute.

  It represents whether more than one value may appear in a valid instance.

  Returns:
    the value of the 'Many' attribute.
  See Also:
    `EcorePackage.getETypedElement_Many()`

### isRequired

    boolean isRequired()

  Returns the value of the 'Required' attribute.

  It represents whether at least one value is required for a valid instance.

  Returns:
    the value of the 'Required' attribute.
  See Also:
    `EcorePackage.getETypedElement_Required()`

### getEType

    EClassifier getEType()

  Returns the value of the 'EType' reference.

  It represents the type of the element and is derived from the `generic type`.

  Returns:
    the value of the 'EType' reference.
  See Also:
    ``, `setEType(EClassifier)`, `EcorePackage.getETypedElement_EType()`

### setEType

    void setEType(EClassifier value)

  Sets the value of the '`EType`' reference.

  Parameters:
    `value` - the new value of the 'EType' reference.
  See Also:
    `getEType()`

### getEGenericType

    EGenericType getEGenericType()

  Returns the value of the 'EGeneric Type' containment reference.

  It represents the generic type of the element. The `type` is derived from this, i.e., it represents the `erasure` of the generic type.

  Returns:
    the value of the 'EGeneric Type' containment reference.
  See Also:
    `setEGenericType(EGenericType)`, `EcorePackage.getETypedElement_EGenericType()`

### setEGenericType

    void setEGenericType(EGenericType value)

  Sets the value of the '`EGeneric Type`' containment reference.

  Parameters:
    `value` - the new value of the 'EGeneric Type' containment reference.
  See Also:
    `getEGenericType()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.